using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    // このクラスは CA1036:Equals に違反しています。
    // このクラスは CA1036:Operator に違反しています。
    public class Rule1036 : IComparable
    {
        public int CompareTo(object obj)
        {
            return obj.GetHashCode();
        }
    }
}
